Kling Image-to-Video Generation
curl --request POST \
--url https://utoken.yoostudio.ai/kling/v1/videos/image2video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"image": "<string>",
"duration": 123,
"width": 123,
"height": 123,
"fps": 123,
"seed": 123,
"n": 123,
"response_format": "<string>",
"user": "<string>",
"metadata": {}
}
'import requests
url = "https://utoken.yoostudio.ai/kling/v1/videos/image2video"
payload = {
"model": "<string>",
"prompt": "<string>",
"image": "<string>",
"duration": 123,
"width": 123,
"height": 123,
"fps": 123,
"seed": 123,
"n": 123,
"response_format": "<string>",
"user": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
image: '<string>',
duration: 123,
width: 123,
height: 123,
fps: 123,
seed: 123,
n: 123,
response_format: '<string>',
user: '<string>',
metadata: {}
})
};
fetch('https://utoken.yoostudio.ai/kling/v1/videos/image2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"status": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Kling
Kling Image to Video
使用 Kling 模型从图片生成视频。
支持通过 image 参数传入图片 URL 或 Base64 编码的图片数据。
POST
/
kling
/
v1
/
videos
/
image2video
Kling Image-to-Video Generation
Authorizations
Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx
Body
application/json
Video generation request
Model/Style ID
Example:
"kling-v1"
Text description prompt
Example:
"An astronaut stood up and walked"
Image input (URL or Base64)
Example:
"https://example.com/image.jpg"
Video duration (seconds)
Example:
5
Video width
Example:
1280
Video height
Example:
720
Video frame rate
Example:
30
Random seed
Example:
20231234
Number of videos to generate
Example:
1
Response format
Example:
"url"
User identifier
Example:
"user-1234"
Extended parameters (e.g., negative_prompt, style, quality_level, etc.)
Was this page helpful?
⌘I
